<template>
  <div component="suggestions" class="sc__suggestions">
    <span v-for="(val, index) in suggestions" :key="index">
      {{ val }}
    </span>
  </div>
</template>

<script>
export default {
  name: 'SuggestionsComponent',
  props: {
    suggestions: {
      type: Array,
      default: () => [],
    },
  },
};
</script>

<style lang="scss" scoped>
.sc__suggestions {
  position: fixed;
  width: 400px;
  height: 300px;
  background-color: aliceblue;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  right: .5rem;
  bottom: .5rem;
  border-radius: 15px;
  padding: .6rem;
}
</style>
